### YamlMime:ManagedReference
items:
- uid: Voile.IStartableSystem`1
  commentId: T:Voile.IStartableSystem`1
  id: IStartableSystem`1
  parent: Voile
  children:
  - Voile.IStartableSystem`1.Start(`0)
  langs:
  - csharp
  - vb
  name: IStartableSystem<T>
  nameWithType: IStartableSystem<T>
  fullName: Voile.IStartableSystem<T>
  type: Interface
  source:
    remote:
      path: Voile/Source/Systems/ISystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IStartableSystem
    path: Source/Systems/ISystem.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile
  summary: A system that accepts additional data for starting.
  example: []
  syntax:
    content: public interface IStartableSystem<T>
    typeParameters:
    - id: T
      description: ''
    content.vb: Public Interface IStartableSystem(Of T)
  nameWithType.vb: IStartableSystem(Of T)
  fullName.vb: Voile.IStartableSystem(Of T)
  name.vb: IStartableSystem(Of T)
- uid: Voile.IStartableSystem`1.Start(`0)
  commentId: M:Voile.IStartableSystem`1.Start(`0)
  id: Start(`0)
  parent: Voile.IStartableSystem`1
  langs:
  - csharp
  - vb
  name: Start(T)
  nameWithType: IStartableSystem<T>.Start(T)
  fullName: Voile.IStartableSystem<T>.Start(T)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/ISystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Start
    path: Source/Systems/ISystem.cs
    startLine: 16
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: void Start(T configuration)
    parameters:
    - id: configuration
      type: '{T}'
    content.vb: Sub Start(configuration As T)
  overload: Voile.IStartableSystem`1.Start*
  nameWithType.vb: IStartableSystem(Of T).Start(T)
  fullName.vb: Voile.IStartableSystem(Of T).Start(T)
references:
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.IStartableSystem`1.Start*
  commentId: Overload:Voile.IStartableSystem`1.Start
  href: Voile.IStartableSystem-1.html#Voile_IStartableSystem_1_Start__0_
  name: Start
  nameWithType: IStartableSystem<T>.Start
  fullName: Voile.IStartableSystem<T>.Start
  nameWithType.vb: IStartableSystem(Of T).Start
  fullName.vb: Voile.IStartableSystem(Of T).Start
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: T
  name: T
  nameWithType: T
  fullName: T
